From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/nbconvert/
Date: Sat, 28 Nov 2015 17:33:18 +0000 (UTC) [thread overview]
Message-ID: <1448637908.e0ebd932df16c54ecd50b97d1d5a11ea45cc0d37.jlec@gentoo> (raw)
commit: e0ebd932df16c54ecd50b97d1d5a11ea45cc0d37
Author: Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri Nov 27 15:25:08 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Nov 27 15:25:08 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0ebd932
dev-python/nbconvert: Import from science overlay
Package-Manager: portage-2.2.20.1
dev-python/nbconvert/Manifest | 1 +
dev-python/nbconvert/metadata.xml | 13 +++++
dev-python/nbconvert/nbconvert-4.1.0.ebuild | 78 +++++++++++++++++++++++++++++
3 files changed, 92 insertions(+)
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
new file mode 100644
index 0000000..18314c5
--- /dev/null
+++ b/dev-python/nbconvert/Manifest
@@ -0,0 +1 @@
+DIST nbconvert-4.1.0.tar.gz 263948 SHA256 e0296e45293dd127d028f678e3b6aba3f1db3283a134178bdb49eea402d4cf1c SHA512 9761cf8cdf206bd8f27c666d7b520cbd7d805353cf46b212b46ee6053b47ec6728a5926dfe59acef109c8770580c41d51aa5b943a27e72bccecc68a7d7b68bfb WHIRLPOOL 9cc27a45b00ee9914674cd14a279be1691eb8a8538803bdda127513f56dd0ce53b10745f305f8fb82abd2d19efe7c1b0284bf05f8088360d2def6c97db0c1c6e
diff --git a/dev-python/nbconvert/metadata.xml b/dev-python/nbconvert/metadata.xml
new file mode 100644
index 0000000..19af612
--- /dev/null
+++ b/dev-python/nbconvert/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <longdescription>
+ Jupyter NBConvert converts Jupyter notebooks to various other
+ formats via Jinja templates.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">nbconvert</remote-id>
+ <remote-id type="github">jupyter/nbconvert</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/nbconvert/nbconvert-4.1.0.ebuild b/dev-python/nbconvert/nbconvert-4.1.0.ebuild
new file mode 100644
index 0000000..0eab8bc
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-4.1.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+MY_PN="nbconvert"
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="http://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64 ~x86"
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="doc test"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-4.0.0-docs-Makefile.patch
+)
+
+RDEPEND="
+ dev-python/jupyter_core[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/mistune[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ doc? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/jupyter_client[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ app-text/pandoc
+ )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/coverage[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ )
+ "
+
+python_prepare_all() {
+ # Prevent un-needed download during build
+ if use doc; then
+ sed -e "/^ 'sphinx.ext.intersphinx',/d" -i docs/source/conf.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ distutils_install_for_testing
+ cd "${TEST_DIR}"/lib || die
+ nosetests --with-coverage --cover-package=nbconvert nbconvert || die
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( docs/build/html/. )
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ if ! has_version app-text/pandoc ; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc."
+ fi
+}
next reply other threads:[~2015-11-28 17:33 UTC|newest]
Thread overview: 189+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-11-28 17:33 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-11-28 17:33 [gentoo-commits] repo/gentoo:master commit in: dev-python/nbconvert/ Justin Lecher
2016-05-22 17:21 Justin Lecher
2016-05-29 14:54 David Seifert
2016-10-31 8:27 David Seifert
2017-01-04 10:15 David Seifert
2017-03-12 12:31 Zac Medico
2017-06-23 19:26 Alexis Ballier
2017-08-19 22:39 Sebastien Fabbro
2018-04-22 1:35 Thomas Deutschmann
2018-05-16 12:28 Agostino Sarubbo
2019-05-04 22:58 Virgil Dupras
2019-05-09 15:30 Virgil Dupras
2020-06-09 8:19 Michał Górny
2020-06-09 8:19 Michał Górny
2020-06-09 15:14 Michał Górny
2020-06-10 5:51 Michał Górny
2020-06-10 6:42 Michał Górny
2020-06-10 6:42 Michał Górny
2020-06-10 7:01 Michał Górny
2020-06-10 8:11 Michał Górny
2020-07-07 20:01 Michał Górny
2020-07-31 0:50 Sam James
2020-09-02 9:12 Michał Górny
2020-09-05 7:24 Michał Górny
2020-09-05 15:25 Sam James
2020-09-11 7:17 Michał Górny
2020-09-13 7:31 Michał Górny
2020-09-17 8:34 Michał Górny
2020-09-18 15:30 Michał Górny
2020-09-18 23:56 Sam James
2020-09-20 20:33 Michał Górny
2020-09-22 7:21 Michał Górny
2020-09-23 17:24 Michał Górny
2020-10-03 21:21 Michał Górny
2020-10-25 21:34 Thomas Deutschmann
2020-10-25 21:48 Sam James
2020-11-04 1:02 Sam James
2020-11-04 7:34 Michał Górny
2021-06-20 1:45 Sam James
2021-07-01 17:53 Michał Górny
2021-07-01 17:53 Michał Górny
2021-07-11 10:14 Georgy Yakovlev
2021-07-12 6:41 Sam James
2021-09-06 0:18 Sam James
2021-09-25 7:45 Michał Górny
2021-10-16 9:46 Sam James
2021-11-12 20:03 Michał Górny
2021-11-14 3:43 Sam James
2021-11-14 20:35 Sam James
2021-11-18 5:36 Sam James
2021-11-18 8:10 Sam James
2021-11-26 1:06 Sam James
2021-11-26 15:33 Arthur Zamarin
2021-12-02 1:01 Sam James
2021-12-02 8:12 Michał Górny
2022-01-04 20:44 Arthur Zamarin
2022-01-22 23:16 Sam James
2022-02-10 7:58 Michał Górny
2022-02-27 9:35 Michał Górny
2022-03-05 0:05 Sam James
2022-03-05 8:16 Michał Górny
2022-03-14 17:04 Michał Górny
2022-03-18 9:54 Arthur Zamarin
2022-03-29 8:33 Michał Górny
2022-03-31 21:14 Arthur Zamarin
2022-04-11 16:07 Michał Górny
2022-04-15 15:26 Arthur Zamarin
2022-04-15 17:19 Arthur Zamarin
2022-04-16 5:08 Arthur Zamarin
2022-04-16 8:10 Arthur Zamarin
2022-05-27 6:10 Michał Górny
2022-05-27 6:10 Michał Górny
2022-06-12 14:52 Sam James
2022-06-12 14:54 Michał Górny
2022-07-05 2:30 Sam James
2022-07-05 19:28 Arthur Zamarin
2022-07-20 22:04 Sam James
2022-07-27 5:22 Sam James
2022-08-01 14:17 Jakov Smolić
2022-08-01 14:18 Jakov Smolić
2022-08-11 9:59 Michał Górny
2022-08-12 11:23 Arthur Zamarin
2022-08-26 19:11 Arthur Zamarin
2022-08-26 19:12 Arthur Zamarin
2022-08-26 19:12 Arthur Zamarin
2022-08-26 23:27 Sam James
2022-08-26 23:29 Sam James
2022-08-27 8:40 Agostino Sarubbo
2022-09-04 8:05 Michał Górny
2022-09-07 7:51 Michał Górny
2022-09-12 4:36 Jakov Smolić
2022-09-12 9:55 Sam James
2022-09-12 19:13 Arthur Zamarin
2022-09-14 7:48 Agostino Sarubbo
2022-09-14 22:10 Sam James
2022-09-16 18:07 Arthur Zamarin
2022-09-16 18:50 Arthur Zamarin
2022-09-25 1:27 Sam James
2022-09-25 18:15 Arthur Zamarin
2022-10-05 9:41 Michał Górny
2022-10-07 12:16 Arthur Zamarin
2022-10-07 12:16 Arthur Zamarin
2022-10-07 13:07 Michał Górny
2022-10-27 9:48 Andrew Ammerlaan
2022-11-06 7:25 Sam James
2022-11-06 7:59 Michał Górny
2022-12-20 20:03 Andrew Ammerlaan
2023-01-05 14:21 Michał Górny
2023-01-17 5:08 Michał Górny
2023-01-24 18:14 Michał Górny
2023-02-12 20:24 Jakov Smolić
2023-02-13 6:07 Michał Górny
2023-03-14 17:23 Michał Górny
2023-03-14 19:49 Sam James
2023-03-15 20:54 Arthur Zamarin
2023-03-24 5:12 Sam James
2023-03-31 17:23 Arthur Zamarin
2023-03-31 17:23 Arthur Zamarin
2023-03-31 20:59 Sam James
2023-04-04 4:48 Michał Górny
2023-04-06 4:02 WANG Xuerui
2023-04-11 3:14 Michał Górny
2023-04-14 19:43 Sam James
2023-04-28 15:25 Arthur Zamarin
2023-05-02 20:11 Sam James
2023-05-03 5:20 Michał Górny
2023-05-08 19:31 Arthur Zamarin
2023-06-08 22:35 Sam James
2023-06-12 4:28 Sam James
2023-06-20 5:38 Michał Górny
2023-07-18 6:03 Michał Górny
2023-07-19 11:10 Michał Górny
2023-07-20 10:47 Andrew Ammerlaan
2023-07-24 12:42 Michał Górny
2023-07-26 6:03 Michał Górny
2023-08-17 8:36 Michał Górny
2023-08-19 18:03 Arthur Zamarin
2023-08-19 18:28 Michał Górny
2023-08-30 3:15 Michał Górny
2023-09-16 22:58 Sam James
2023-09-17 4:44 Michał Górny
2023-10-04 17:43 Michał Górny
2023-10-05 2:58 Michał Górny
2023-10-24 17:51 Michał Górny
2023-10-30 18:10 Michał Górny
2023-11-05 19:20 Arthur Zamarin
2023-11-05 20:58 Michał Górny
2023-11-07 15:19 Michał Górny
2023-11-10 5:47 Viorel Munteanu
2023-11-20 15:02 Michał Górny
2023-11-29 10:26 Michał Górny
2023-11-29 10:30 Michał Górny
2023-12-05 7:33 Arthur Zamarin
2023-12-18 17:07 Michał Górny
2023-12-20 15:51 Michał Górny
2023-12-20 15:56 Michał Górny
2023-12-22 8:30 Michał Górny
2024-01-02 5:07 Michał Górny
2024-01-06 9:50 Michał Górny
2024-01-06 9:54 Michał Górny
2024-01-11 15:24 Michał Górny
2024-01-16 17:30 Michał Górny
2024-01-18 18:23 Arthur Zamarin
2024-01-18 18:46 Michał Górny
2024-02-03 10:10 Arthur Zamarin
2024-02-03 10:42 Michał Górny
2024-02-03 11:44 Michał Górny
2024-02-06 3:07 Michał Górny
2024-02-08 4:22 Michał Górny
2024-02-19 15:51 Michał Górny
2024-02-20 7:55 Sam James
2024-02-20 9:09 Michał Górny
2024-03-05 5:18 Michał Górny
2024-03-21 17:51 Arthur Zamarin
2024-03-22 4:38 Michał Górny
2024-04-06 10:02 Arthur Zamarin
2024-04-06 12:37 Michał Górny
2024-04-30 5:02 Michał Górny
2024-05-17 8:27 Arthur Zamarin
2024-05-17 9:49 Michał Górny
2024-07-12 10:36 Michał Górny
2025-01-03 5:47 Michał Górny
2025-01-18 8:56 Arthur Zamarin
2025-01-18 10:03 Michał Górny
2025-01-29 8:48 Michał Górny
2025-02-15 8:44 Arthur Zamarin
2025-02-15 9:53 Michał Górny
2025-03-07 12:45 Michał Górny
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1448637908.e0ebd932df16c54ecd50b97d1d5a11ea45cc0d37.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox